Subject: bug#69171: Moving packages out of core to ELPA

From: Stefan Monnier <[email-masked]>
Date: Sat, 27 Apr 2024 22:15:41 -0400

> Our license issues have been sorted out and I've been able to test the
> idlw-shell capabilities of the emacs-upstream-merge branch.  I had to make
> a few small tweaks to the help system, as often happens with new IDL
> releases, but the (funky old) completion and other features continue to work
> pretty well.  I merged the branch to master and mentioned ELPA in
> the README.
>
> One question I had is what happens to the texinfo manual for ELPA packages,
> and if they need any special treatment to get installed.  I am also not 100%
> sure this will load correctly as a package given the file re-org I did some
> time back; I've been testing it using a use-package :load-path and that
> works, but nothing like a real test of the live package.  Can always give it
> a try after it lands on ELPA and make any changes needed.
>
> Other than that, and any pending suggestions or concerns you had, I think
> I'm ready to flip the ELPA switch.

Great.  I just added `idlwave` to `elpa.git`.
Currently, no tarball gets released because the build fails with:

    Missing copyright notice in idlwave/lpath.el
    Missing copyright notice in idlwave/idlw-variables.el
    Missing copyright notice in idlwave/idlw-toolbar.el
    Missing copyright notice in idlwave/idlw-scan.el
    Missing copyright notice in idlwave/idlw-routine.el
    Missing copyright notice in idlwave/idlw-menus.el
    Missing copyright notice in idlwave/idlw-complete.el
    Missing copyright notice in idlwave/idlw-bindings.el

because of missing

    Copyright (C) <something>  Free Software Foundation, Inc.

Another problem is that `idlwave.el` doesn't contain an email address
for the maintainer.

Once you fix these things, maybe some other problems will show up.
When all those problems are fixed, we'll get a tarball released in
GNU-devel ELPA, so we can try it out and tweak it until it has the right
shape (GNU-devel packages get rebuilt after "every" commit).

Once it all looks good, you can make a commit that changes the
`Version:` header in `idlwave.el` to trigger a real release in GNU ELPA.

        Stefan